((a,b)=>{a[b]=a[b]||{}})(self,"$__dart_deferred_initializers__")
$__dart_deferred_initializers__.current=function(a,b,c,$){var J,B,C,A={aTz:function aTz(){this.a=null
this.b=!1},aTB:function aTB(){},aTD:function aTD(d){this.a=d},aTC:function aTC(d){this.a=d},aTA:function aTA(d){this.a=d},Fy:function Fy(){},UT:function UT(d){this.$ti=d},bdw:function bdw(d){this.a=d},bdx:function bdx(d,e){this.a=d
this.b=e},aQV:function aQV(){},b4h:function b4h(d,e){this.a=d
this.b=e},aDO:function aDO(d,e){this.a=d
this.b=e},aVP:function aVP(d,e){this.a=d
this.b=e},b6z:function b6z(d,e){this.a=d
this.b=e},aTG:function aTG(d,e){this.a=d
this.b=e},aEI:function aEI(d,e){this.a=d
this.b=e},aDP:function aDP(){},aL3:function aL3(){},
bPM(d,e,f,g){var x,w={}
w.a=d
x=new A.aar(g.h("aar<0>"))
x.avI(e,f,w,g)
return x},
aar:function aar(d){var _=this
_.b=_.a=$
_.c=null
_.d=!1
_.$ti=d},
aTI:function aTI(d,e){this.a=d
this.b=e},
aTH:function aTH(d){this.a=d},
YD:function YD(d,e,f,g,h){var _=this
_.a=d
_.b=e
_.c=f
_.e=_.d=!1
_.r=_.f=null
_.w=g
_.$ti=h},
bqI:function bqI(){},
akh:function akh(d){this.b=this.a=$
this.$ti=d},
aki:function aki(){},
bGH(d,e){return A.c3R(d,e)},
c3R(d,e){var x=0,w=B.r(y.E),v,u,t,s,r,q,p
var $async$bGH=B.n(function(f,g){if(f===1)return B.o(g,w)
while(true)switch(x){case 0:if(!d.nj("ws")&&!d.nj("wss"))throw B.d(B.eo(d,"url","only ws: and wss: schemes are supported"))
u=b.G
t=u.WebSocket
s=d.k(0)
u=u.Array
u=new u()
r=new t(s,u)
r.binaryType="arraybuffer"
q=new A.zf(r,B.fA(null,null,null,null,!1,y.U))
u=new B.a1($.ai,y.j)
p=new B.aA(u,y.V)
if(J.h(r.readyState,1))p.c8(0,q)
else if(J.h(r.readyState,2)||J.h(r.readyState,3))p.hg(new A.JZ("Unexpected WebSocket state: "+B.m(r.readyState)+", expected CONNECTING (0) or OPEN (1)"))
else new B.m8(r,"open",!1,y.C).ga_(0).aq(new A.aGz(p,q),y.H)
t=y.C
s=y.H
new B.m8(r,"error",!1,t).ga_(0).aq(new A.aGA(p,q),s)
B.i6(r,"message",new A.aGB(q),!1,y.m)
new B.m8(r,"close",!1,t).ga_(0).aq(new A.aGC(p,q),s)
v=u
x=1
break
case 1:return B.p(v,w)}})
return B.q($async$bGH,w)},
zf:function zf(d,e){this.a=d
this.b=e},
aGz:function aGz(d,e){this.a=d
this.b=e},
aGA:function aGA(d,e){this.a=d
this.b=e},
aGB:function aGB(d){this.a=d},
aGC:function aGC(d,e){this.a=d
this.b=e},
bJI(){return new A.JY("Connection Closed")},
uV:function uV(){},
Jq:function Jq(d){this.a=d},
Ey:function Ey(d){this.a=d},
EZ:function EZ(d,e){this.a=d
this.b=e},
JZ:function JZ(d){this.a=d},
JY:function JY(d){this.a=d},
c3d(d){var x=null,w=$.ai,v=new A.akh(y.Z),u=y.X,t=B.fA(x,x,x,x,!0,u),s=B.fA(x,x,x,x,!0,u),r=B.i(s),q=B.i(t)
v.a=A.bPM(new B.cd(s,r.h("cd<1>")),new B.mf(t,q.h("mf<1>")),!0,u)
v.b=A.bPM(new B.cd(t,q.h("cd<1>")),new B.mf(s,r.h("mf<1>")),!1,u)
v=new A.aCZ(new B.aA(new B.a1(w,y.D),y.h),v)
v.avx(d)
return v},
aCZ:function aCZ(d,e){var _=this
_.e=_.d=null
_.f=d
_.r=e
_.w=$},
aD2:function aD2(d){this.a=d},
aD_:function aD_(d){this.a=d},
aD0:function aD0(d){this.a=d},
aD1:function aD1(d,e){this.a=d
this.b=e},
aD3:function aD3(d){this.a=d},
azR:function azR(d,e){this.b=d
this.a=e},
alY:function alY(d){this.a=d},
c7a(){new A.aTz().Ei()},
b6H(d,e){var x=0,w=B.r(y.H),v
var $async$b6H=B.n(function(f,g){if(f===1)return B.o(g,w)
while(true)switch(x){case 0:v=Date.now()
x=2
return B.l($.c_j().Q2(0,v%1e5,d,e,new A.b4h(D.SC,new A.aL3())),$async$b6H)
case 2:return B.p(null,w)}})
return B.q($async$b6H,w)}},D
J=c[1]
B=c[0]
C=c[2]
A=a.updateHolder(c[3],A)
D=c[5]
A.aTz.prototype={
Ei(){var x=0,w=B.r(y.H),v,u=2,t=[],s=[],r=this,q,p,o,n,m
var $async$Ei=B.n(function(d,e){if(d===1){t.push(e)
x=u}while(true)switch(x){case 0:if(r.b||r.a!=null){x=1
break}r.b=!0
u=4
o=r.H5()
x=7
return B.l(y._.b(o)?o:B.hN(o,y.z),$async$Ei)
case 7:q=e
if(J.b5(q)===0){s=[1]
x=5
break}p="wss://notifications.gooyal.com/stream?token="+B.m(q)
o=A.c3d(A.bGH(B.dA(p,0,null),null))
r.a=o
o=o.r.b
o===$&&B.a()
o=o.b
o===$&&B.a()
new B.cd(o,B.i(o).h("cd<1>")).aN(new A.aTB(),!0,new A.aTC(r),new A.aTD(r))
s.push(6)
x=5
break
case 4:u=3
m=t.pop()
B.aT(m)
r.TL()
s.push(6)
x=5
break
case 3:s=[2]
case 5:u=2
r.b=!1
x=s.pop()
break
case 6:case 1:return B.p(v,w)
case 2:return B.o(t.at(-1),w)}})
return B.q($async$Ei,w)},
TL(){var x,w,v=this.a
if(v!=null){x=v.w
if(x===$){w=v.r.b
w===$&&B.a()
w=w.a
w===$&&B.a()
x=v.w=new A.azR(v,w)}x.a8(0)}this.a=null
B.eR(C.pb,new A.aTA(this),y.P)},
H5(){var x=0,w=B.r(y.z),v,u=2,t=[],s,r,q,p,o
var $async$H5=B.n(function(d,e){if(d===1){t.push(e)
x=u}while(true)switch(x){case 0:u=4
x=7
return B.l(B.UK(),$async$H5)
case 7:s=e
q=B.b1(J.a5(s.a,"notificationClientToken"))
r=q==null?"":q
v=r
x=1
break
u=2
x=6
break
case 4:u=3
o=t.pop()
v=""
x=1
break
x=6
break
case 3:x=2
break
case 6:case 1:return B.p(v,w)
case 2:return B.o(t.at(-1),w)}})
return B.q($async$H5,w)}}
A.Fy.prototype={
v(d,e){this.a.v(0,e)},
cK(d,e){this.a.cK(d,e)},
a8(d){return this.a.a8(0)},
$icP:1}
A.UT.prototype={
jF(d){var x=B.bF(),w=B.fA(new A.bdw(x),null,null,null,!0,this.$ti.y[1])
x.b=d.fi(new A.bdx(this,w),w.gls(w),w.gmP())
return new B.cd(w,B.i(w).h("cd<1>"))}}
A.aQV.prototype={
Q2(d,e,f,g,h){return this.apt(0,e,f,g,h)},
apt(d,e,f,g,h){var x=0,w=B.r(y.H),v
var $async$Q2=B.n(function(i,j){if(i===1)return B.o(j,w)
while(true)switch(x){case 0:x=1
break
case 1:return B.p(v,w)}})
return B.q($async$Q2,w)}}
A.b4h.prototype={}
A.aDO.prototype={
M(){return"AndroidNotificationChannelAction."+this.b}}
A.aVP.prototype={
M(){return"Importance."+this.b}}
A.b6z.prototype={
M(){return"Priority."+this.b}}
A.aTG.prototype={
M(){return"GroupAlertBehavior."+this.b}}
A.aEI.prototype={
M(){return"AudioAttributesUsage."+this.b}}
A.aDP.prototype={}
A.aL3.prototype={}
A.aar.prototype={
avI(d,e,f,g){var x=this,w=$.ai
x.a!==$&&B.bG()
x.a=new A.YD(d,x,new B.aA(new B.a1(w,y.D),y.h),e,g.h("YD<0>"))
if(f.a.ghK())f.a=new A.UT(g.h("@<0>").aO(g).h("UT<1,2>")).jF(f.a)
w=B.fA(null,new A.aTI(f,x),null,null,!0,g)
x.b!==$&&B.bG()
x.b=w},
a8Q(){var x,w
this.d=!0
x=this.c
if(x!=null)x.ap(0)
w=this.b
w===$&&B.a()
w.a8(0)}}
A.YD.prototype={
v(d,e){if(this.e)throw B.d(B.Z("Cannot add event after closing."))
if(this.d)return
this.a.a.v(0,e)},
cK(d,e){if(this.e)throw B.d(B.Z("Cannot add event after closing."))
if(this.d)return
this.aEg(d,e)},
jD(d){return this.cK(d,null)},
aEg(d,e){var x=this
if(x.w){x.a.a.cK(d,e)
return}x.c.ek(d,e)
x.a8S()
x.b.a8Q()
x.a.a.a8(0).j3(new A.bqI())},
a8(d){var x=this
if(x.e)return x.c.a
x.e=!0
if(!x.d){x.b.a8Q()
x.c.c8(0,x.a.a.a8(0))}return x.c.a},
a8S(){this.d=!0
var x=this.c
if((x.a.a&30)===0)x.f3(0)
return},
$icP:1}
A.akh.prototype={}
A.aki.prototype={}
A.zf.prototype={
a4h(d,e){var x=this.b
if((x.b&4)!==0)return
x.v(0,new A.EZ(d,e))
x.a8(0)},
a0T(d){var x
if((this.b.b&4)!==0)throw B.d(A.bJI())
x=B.aX(d)
x.toString
this.a.send(x)},
qS(d,e,f){return this.aWB(0,e,f)},
aWB(d,e,f){var x=0,w=B.r(y.H),v=this,u
var $async$qS=B.n(function(g,h){if(g===1)return B.o(h,w)
while(true)switch(x){case 0:u=v.b
if((u.b&4)!==0)throw B.d(A.bJI())
u.a8(0)
v.a.close()
return B.p(null,w)}})
return B.q($async$qS,w)},
$ibJH:1}
A.uV.prototype={}
A.Jq.prototype={
l(d,e){if(e==null)return!1
return e instanceof A.Jq&&e.a===this.a},
gD(d){return C.c.gD(this.a)}}
A.Ey.prototype={
l(d,e){var x,w,v,u
if(e==null)return!1
if(e instanceof A.Ey&&e.a.length===this.a.length){for(x=this.a,w=x.length,v=e.a,u=0;u<w;++u)if(v[u]!==x[u])return!1
return!0}return!1},
gD(d){return B.ed(this.a)},
k(d){return"BinaryDataReceived("+B.m(this.a)+")"}}
A.EZ.prototype={
l(d,e){if(e==null)return!1
return e instanceof A.EZ&&e.a===this.a&&e.b===this.b},
gD(d){return B.ed([this.a,this.b])},
k(d){return"CloseReceived("+this.a+", "+this.b+")"}}
A.JZ.prototype={
k(d){var x=this.a
if(x.length===0)return"WebSocketException"
else return"WebSocketException: "+x},
$ibe:1}
A.JY.prototype={
k(d){var x=this.a
if(x.length===0)return"WebSocketConnectionClosed"
else return"WebSocketConnectionClosed: "+x}}
A.aCZ.prototype={
avx(d){d.ew(new A.aD2(this),new A.aD3(this),y.P)}}
A.azR.prototype={
qS(d,e,f){var x=this.b
x.d=e
x.e=f
return this.aqK(0)},
a8(d){return this.qS(0,null,null)}}
A.alY.prototype={
k(d){return"WebSocketChannelException: "+this.a},
$ibe:1}
var z=a.updateTypes(["b8(bJH)","~(uV)"])
A.aTB.prototype={
$1(d){B.bW(J.a5(C.b2.h0(0,d),"title"),J.a5(C.b2.h0(0,d),"message"),C.dZ,C.L)
if($.bM3()||$.bM4())A.b6H(J.a5(C.b2.h0(0,d),"title"),J.a5(C.b2.h0(0,d),"message"))},
$S:24}
A.aTD.prototype={
$2(d,e){this.a.TL()},
$S:59}
A.aTC.prototype={
$0(){this.a.TL()},
$S:0}
A.aTA.prototype={
$0(){this.a.Ei()},
$S:3}
A.bdw.prototype={
$0(){return J.aCD(this.a.aH())},
$S:9}
A.bdx.prototype={
$1(d){var x,w,v,u
try{this.b.v(0,this.a.$ti.y[1].a(d))}catch(v){u=B.a_(v)
if(y.c.b(u)){x=u
w=B.aT(v)
this.b.cK(x,w)}else throw v}},
$S(){return this.a.$ti.h("~(1)")}}
A.aTI.prototype={
$0(){var x,w,v=this.b
if(v.d)return
x=this.a.a
w=v.b
w===$&&B.a()
v.c=x.fi(w.gfm(w),new A.aTH(v),w.gmP())},
$S:0}
A.aTH.prototype={
$0(){var x=this.a,w=x.a
w===$&&B.a()
w.a8S()
x=x.b
x===$&&B.a()
x.a8(0)},
$S:0}
A.bqI.prototype={
$1(d){},
$S:13}
A.aGz.prototype={
$1(d){this.a.c8(0,this.b)},
$S:23}
A.aGA.prototype={
$1(d){var x=this.a
if((x.a.a&30)===0)x.hg(new A.JZ("Failed to connect WebSocket"))
else this.b.a4h(1006,"error")},
$S:23}
A.aGB.prototype={
$1(d){var x,w,v=this.a.b
if((v.b&4)!==0)return
x=d.data
x.toString
w=B.bF()
if(typeof x==="string")w.b=new A.Jq(B.bA(x))
else if(typeof x==="object"&&B.iZ(B.fp(x),"ArrayBuffer"))w.b=new A.Ey(B.afl(y.a.a(x),0,null))
else throw B.d(B.Z("unexpected message type: "+J.al(x).k(0)))
v.v(0,w.aH())},
$S:2}
A.aGC.prototype={
$1(d){var x=this.a
if((x.a.a&30)===0)x.c8(0,this.b)
this.b.a4h(d.code,d.reason)},
$S:23}
A.aD2.prototype={
$1(d){var x=d.b,w=this.a
new B.cd(x,B.i(x).h("cd<1>")).dl(new A.aD_(w))
x=w.r.a
x===$&&B.a()
x=x.b
x===$&&B.a()
new B.cd(x,B.i(x).h("cd<1>")).b3u(new A.aD0(d),new A.aD1(w,d))
w.f.f3(0)},
$S:z+0}
A.aD_.prototype={
$1(d){var x,w,v
$label0$0:{x=d instanceof A.Jq
w=x?d.a:null
if(x){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.v(0,w)
break $label0$0}x=d instanceof A.Ey
v=x?d.a:null
if(x){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.v(0,v)
break $label0$0}if(d instanceof A.EZ){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.a8(0)}}},
$S:z+1}
A.aD0.prototype={
$1(d){var x,w,v,u,t,s,r
try{$label1$1:{x=d
w=null
t=typeof x=="string"
if(t)w=x
if(t){t=this.a
s=w
if((t.b.b&4)!==0)B.J(A.bJI())
s=B.aX(s)
s.toString
t.a.send(s)
break $label1$1}v=null
t=y.p.b(x)
if(t)v=x
if(t){this.a.a0T(v)
break $label1$1}u=null
t=y.L.b(x)
if(t)u=x
if(t){this.a.a0T(new Uint8Array(B.d3(u)))
break $label1$1}t=B.ar("Cannot send "+J.al(d).k(0))
throw B.d(t)}}catch(r){if(!(B.a_(r) instanceof A.JY))throw r}},
$S:10}
A.aD1.prototype={
$0(){var x=0,w=B.r(y.H),v=1,u=[],t=this,s,r,q
var $async$$0=B.n(function(d,e){if(d===1){u.push(e)
x=v}while(true)switch(x){case 0:v=3
s=t.a
x=6
return B.l(t.b.qS(0,s.d,s.e),$async$$0)
case 6:v=1
x=5
break
case 3:v=2
q=u.pop()
if(!(B.a_(q) instanceof A.JY))throw q
x=5
break
case 2:x=1
break
case 5:return B.p(null,w)
case 1:return B.o(u.at(-1),w)}})
return B.q($async$$0,w)},
$S:9}
A.aD3.prototype={
$1(d){var x,w=d instanceof B.xP?d:new A.alY(J.aF(d)),v=this.a
v.f.hg(w)
v=v.r.a
v===$&&B.a()
x=v.a
x===$&&B.a()
x.jD(w)
v=v.a
v===$&&B.a()
v.a8(0)},
$S:121};(function aliases(){var x=A.Fy.prototype
x.aqK=x.a8})();(function inheritance(){var x=a.inheritMany,w=a.inherit
x(B.K,[A.aTz,A.Fy,A.aQV,A.b4h,A.aDP,A.aL3,A.aki,A.YD,A.akh,A.zf,A.uV,A.JZ,A.alY])
x(B.t5,[A.aTB,A.bdx,A.bqI,A.aGz,A.aGA,A.aGB,A.aGC,A.aD2,A.aD_,A.aD0,A.aD3])
w(A.aTD,B.Nt)
x(B.Ns,[A.aTC,A.aTA,A.bdw,A.aTI,A.aTH,A.aD1])
w(A.UT,B.fV)
x(B.Ya,[A.aDO,A.aVP,A.b6z,A.aTG,A.aEI])
x(A.aki,[A.aar,A.aCZ])
x(A.uV,[A.Jq,A.Ey,A.EZ])
w(A.JY,A.JZ)
w(A.azR,A.Fy)})()
B.bV0(b.typeUniverse,JSON.parse('{"Fy":{"cP":["1"]},"UT":{"fV":["1","2"],"fV.S":"1","fV.T":"2"},"YD":{"cP":["1"]},"zf":{"bJH":[]},"Jq":{"uV":[]},"Ey":{"uV":[]},"EZ":{"uV":[]},"JZ":{"be":[]},"JY":{"be":[]},"azR":{"cP":["@"]},"alY":{"be":[]}}'))
B.bV_(b.typeUniverse,JSON.parse('{"Fy":1,"aki":1}'))
var y=(function rtii(){var x=B.an
return{E:x("zf"),_:x("ah<@>"),m:x("a8"),L:x("v<t>"),a:x("tR"),P:x("b8"),Z:x("akh<K?>"),c:x("rp"),p:x("cM"),U:x("uV"),V:x("aA<zf>"),h:x("aA<~>"),C:x("m8<a8>"),j:x("a1<zf>"),D:x("a1<~>"),z:x("@"),X:x("K?"),H:x("~")}})();(function constants(){D.aB2=new A.aVP(6,"max")
D.aBi=new A.b6z(3,"high")
D.aB_=new A.aTG(0,"all")
D.aAx=new A.aDO(0,"createIfNotExists")
D.aAy=new A.aEI(7,"notification")
D.SC=new A.aDP()})();(function lazyInitializers(){var x=a.lazyFinal
x($,"csB","c_j",()=>$.bZ2())
x($,"cqc","bZ2",()=>new A.aQV())})()};
(a=>{a["Y76TuToSn3v9Mg7GIl5oOSOqHpI="]=a.current})($__dart_deferred_initializers__);